<?php
namespace App\Handlers;

/**
 * BookXmlFilesTrait.php
 *
 * @author: Leonard Smith <leonard@acornwebconsultants.com>
 * Date: 9/19/20
 * Time: 10:43 AM
 */
trait BookXmlFilesTrait
{
    protected static $bookXmlFiles = [
        'matthew' => '41-MAT.xml',
        'mark' => '42-MRK.xml',
        'luke' => '43-LUK.xml',
        'john' => '44-JHN.xml',
        'acts' => '45-ACT.xml',
        'romans' => '46-ROM.xml',
        '1corinthians' => '47-1CO.xml',
        '2corinthians' => '48-2CO.xml',
        'galatians' => '49-GAL.xml',
        'ephesians' => '50-EPH.xml',
        'philippians' => '51-PHP.xml',
        'colossians' => '52-COL.xml',
        '1thessalonians' => '53-1TH.xml',
        '2thessalonians' => '54-1TH.xml',
        '1timothy' => '55-1TI.xml',
        '2timothy' => '56-2TI.xml',
        'titus' => '57-TIT.xml',
        'philemon' => '58-PHM.xml',
        'hebrews' => '59-HEB.xml',
        'james' => '60-JAS.xml',
        '1peter' => '61-1PE.xml',
        '2peter' => '62-2PE.xml',
        '1john' => '63-1JN.xml',
        '2john' => '64-2JN.xml',
        '3john' => '65-3JN.xml',
        'jude'  => '66-JUD.xml',
        'revelation' => '67-REV.xml',
    ];

    public function getBookXmlFilePath($folder, $book)
    {
        $folder = '/'. trim($folder,'/') . '/';

        return storage_path() . $folder . self::$bookXmlFiles[$book];
    }
}
